#ifndef CMWCALITABLECLEANING_H
#define CMWCALITABLECLEANING_H

#include "cmwidget.h"
#include <QTableWidget>
namespace Ui {
class CMWCaliTableCleaning;
}

class CMWCaliTableCleaning : public CMWidget
{
    Q_OBJECT

public:
    enum _COATCLEANTYPE
    {
        COAT_WIDGET,
        CLEAN_WIDGET,
    };
    explicit CMWCaliTableCleaning(QWidget *parent  ,int itype);
    ~CMWCaliTableCleaning();
    void MInit();
    void MFresh();
    void MApply();
    void MTimeFresh();
    int m_itype;
    int m_iSelectRow;
private slots:
    void on_tableWidget_currentItemChanged(QTableWidgetItem *current,
                                           QTableWidgetItem *previous);

    void on_pushButton_Insert_clicked();

    void on_pushButton_del_clicked();

    void on_pushButton_Clean_clicked();

private:
    Ui::CMWCaliTableCleaning *ui;
};

#endif // CMWCALITABLECLEANING_H
